--- camlimages-4.0.0.orig/src/oPng.mli	1970-01-01 01:00:00.000000000 +0100
+++ camlimages-4.0.0/src/oPng.mli	2011-05-17 17:47:40.000000000 +0200
@@ -0,0 +1,4 @@
+val load_as_rgb24 : string -> Images.load_option list -> OImages.oimage
+val load : string -> Images.load_option list -> OImages.oimage
+val save :
+  string -> Images.save_option list -> < image : Images.t; .. > -> unit
--- camlimages-4.0.0.orig/src/oJpeg.mli	1970-01-01 01:00:00.000000000 +0100
+++ camlimages-4.0.0/src/oJpeg.mli	2011-05-17 17:48:33.000000000 +0200
@@ -0,0 +1,9 @@
+val load : string -> Images.load_option list -> OImages.oimage
+val load_thumbnail :
+  string ->
+  Images.load_option list -> Geometry.spec -> int * int * OImages.oimage
+val save : string -> Images.save_option list -> OImages.oimage -> unit
+val save_as_cmyk :
+  string ->
+  Images.save_option list ->
+  (Images.rgb -> int * int * int * int) -> OImages.oimage -> unit
--- camlimages-4.0.0/src/META.in.orig	2011-05-20 09:48:04.000000000 +0200
+++ camlimages-4.0.0/src/META.in	2011-05-20 09:48:30.000000000 +0200
@@ -2,7 +2,8 @@
 version = "@PACKAGE_VERSION@"
 description = "Objective Caml image processing library"
 
-requires = "camlimages.core"
+archive(byte) = "camlimages.cma"
+archive(native) = "camlimages.cmxa"
 
 package "core" (
   archive(byte) = "camlimages_core.cma"
